<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2016 rel. 2 sp1 (x64) (http://www.altova.com) by Helmut Eichlseder (TU Graz/Inst. f. VKM und THD) -->
<xs:schema xmlns:tns="urn:tugraz:ivt:VectoAPI:EngineeringDefinitions:v1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vectoParam="urn:tugraz:ivt:VectoAPI:ParameterDocumentation" xmlns:vdecdef="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v1.0" targetNamespace="urn:tugraz:ivt:VectoAPI:EngineeringDefinitions:v1.0" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0" xsi:schemaLocation="urn:tugraz:ivt:VectoAPI:ParameterDocumentation ParameterDocumentation.xsd">
	<xs:import namespace="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v1.0" schemaLocation="VectoDeclarationDefinitions.1.0.xsd"/>
	<xs:complexType name="AbstractAdvancedDriverAssistEngineeringType" abstract="true"/>
	<xs:complexType name="AbstractAirdragDataEngineeringType" abstract="true">
		<xs:complexContent>
			<xs:extension base="tns:EngineeringPowertrainComponentType"/>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AbstractAngledriveDataEngineeringType" abstract="true">
		<xs:complexContent>
			<xs:extension base="tns:EngineeringPowertrainComponentType"/>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AbstractAuxiliariesDataEngineeringType" abstract="true"/>
	<xs:complexType name="AbstractAuxiliaryEntryEngineeringType" abstract="true"/>
	<xs:complexType name="AbstractAxleDataEngineeringType" abstract="true"/>
	<xs:complexType name="AbstractAxlegearDataEngineeringType" abstract="true">
		<xs:complexContent>
			<xs:extension base="tns:EngineeringPowertrainComponentType"/>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AbstractAxleWheelsDataType" abstract="true"/>
	<xs:complexType name="AbstractDriverAccelerationCurveEngineeringType" abstract="true"/>
	<xs:complexType name="AbstractDriverModelEngineeringType" abstract="true"/>
	<xs:complexType name="AbstractEngineDataEngineeringType" abstract="true">
		<xs:complexContent>
			<xs:extension base="tns:EngineeringPowertrainComponentType"/>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AbstractEngineStartStopEngineeringType" abstract="true"/>
	<xs:complexType name="AbstractGearboxDataEngineeringType" abstract="true">
		<xs:complexContent>
			<xs:extension base="tns:EngineeringPowertrainComponentType"/>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AbstractGearEngineeringType" abstract="true">
		<xs:sequence>
			<xs:element name="Ratio" type="vdecdef:GearboxGearRatioType"/>
			<xs:choice>
				<xs:element name="TorqueLossMap">
					<xs:complexType>
						<xs:complexContent>
							<xs:extension base="vdecdef:TorqueLossMapType">
								<xs:choice>
									<xs:element name="Entry" type="vdecdef:TorqueLossMapEntryType" minOccurs="4" maxOccurs="unbounded"/>
									<xs:element name="Efficiency" type="tns:GearEfficiencyType">
										<xs:annotation>
											<xs:documentation>P171 - [-]</xs:documentation>
										</xs:annotation>
									</xs:element>
									<xs:element name="Resource" type="tns:ExtResourceEngineeringType">
										<xs:annotation>
											<xs:documentation>P079 - ext. Resource</xs:documentation>
										</xs:annotation>
									</xs:element>
								</xs:choice>
							</xs:extension>
						</xs:complexContent>
					</xs:complexType>
				</xs:element>
			</xs:choice>
		</xs:sequence>
		<xs:attribute name="number" use="required">
			<xs:simpleType>
				<xs:restriction base="xs:int">
					<xs:minInclusive value="1"/>
				</xs:restriction>
			</xs:simpleType>
		</xs:attribute>
	</xs:complexType>
	<xs:complexType name="AbstractLookAheadCoastingEngineeringType" abstract="true"/>
	<xs:complexType name="AbstractOverspeedEngineeringType" abstract="true"/>
	<xs:complexType name="AbstractRetarderDataEngineeringType" abstract="true">
		<xs:complexContent>
			<xs:extension base="tns:EngineeringPowertrainComponentType"/>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AbstractShiftStrategyParametersEngineeringType" abstract="true"/>
	<xs:complexType name="AbstractTorqueConverterDataEngineeringType" abstract="true">
		<xs:complexContent>
			<xs:extension base="tns:EngineeringPowertrainComponentType"/>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AbstractTyreDataEngineeringType" abstract="true">
		<xs:complexContent>
			<xs:extension base="tns:EngineeringPowertrainComponentType"/>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AbstractVectoComponentEngineeringType" abstract="true"/>
	<xs:complexType name="AbstractVehicleComponentsType" abstract="true"/>
	<xs:complexType name="AbstractVehicleEngineeringType" abstract="true"/>
	<xs:complexType name="AdvancedDriverAssistEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractAdvancedDriverAssistEngineeringType">
				<xs:sequence>
					<xs:element name="EngineStartStop" type="tns:AbstractEngineStartStopEngineeringType" minOccurs="0"/>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AirDragComponentEngineeringType">
		<xs:choice>
			<xs:sequence>
				<xs:element name="Data" type="tns:AbstractAirdragDataEngineeringType"/>
				<xs:element name="Signature" minOccurs="0"/>
			</xs:sequence>
			<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="AirDragDataEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractAirdragDataEngineeringType">
				<xs:sequence>
					<xs:element name="CrossWindCorrectionMode" type="tns:CrossWindCorrectionModeType"/>
					<xs:element name="CdxA" type="vdecdef:AirdragCdxAType">
						<xs:annotation>
							<xs:documentation>P146 - [m²]  Drag coefficient * Cross Sectional Area (Truck &amp; Trailer)</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="CrossWindCorrectionData" minOccurs="0">
						<xs:complexType>
							<xs:choice>
								<xs:sequence maxOccurs="unbounded">
									<xs:element name="Entry" type="tns:CrossWindCorrectionEntryType"/>
								</xs:sequence>
								<xs:element name="Resource" type="tns:ExtResourceEngineeringType">
									<xs:annotation>
										<xs:documentation>P051 - ext. Resource</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:choice>
						</xs:complexType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AngledriveComponentEngineeringType">
		<xs:choice>
			<xs:sequence>
				<xs:element name="Data" type="tns:AbstractAngledriveDataEngineeringType"/>
				<xs:element name="Signature" minOccurs="0"/>
			</xs:sequence>
			<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="AngledriveDataEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractAngledriveDataEngineeringType">
				<xs:sequence>
					<xs:element name="Ratio" type="vdecdef:AngledriveRatioType"/>
					<xs:choice>
						<xs:element name="TorqueLossMap">
							<xs:complexType>
								<xs:choice>
									<xs:sequence minOccurs="4" maxOccurs="unbounded">
										<xs:element name="Entry" type="vdecdef:AngledriveLossMapEntryType"/>
									</xs:sequence>
									<xs:element name="Efficiency" type="tns:AngulargearEfficiencyType"/>
									<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
								</xs:choice>
							</xs:complexType>
						</xs:element>
					</xs:choice>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AuxiliariesComponentEngineeringType">
		<xs:choice>
			<xs:element name="Data" type="tns:AbstractAuxiliariesDataEngineeringType"/>
			<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="AuxiliariesDataEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractAuxiliariesDataEngineeringType">
				<xs:sequence>
					<xs:element name="Auxiliary" type="tns:AbstractAuxiliaryEntryEngineeringType" minOccurs="0" maxOccurs="unbounded"/>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AuxiliaryEntryAuxMapType">
		<xs:attribute name="auxiliarySpeed" type="tns:AuxiliaryEntryAuxMapEntryAuxiliarySpeedType" use="required"/>
		<xs:attribute name="mechanicalPower" type="tns:AuxiliaryEntryAuxMapEntryMechanicalPowerType" use="required"/>
		<xs:attribute name="supplyPower" type="tns:AuxiliaryEntryAuxMapEntrySupplyPowerType" use="required"/>
	</xs:complexType>
	<xs:complexType name="AuxiliaryEntryEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractAuxiliaryEntryEngineeringType">
				<xs:choice>
					<xs:element name="Resource" type="tns:ExtResourceEngineeringType">
						<xs:annotation>
							<xs:documentation>P007 - ext. Resource</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:sequence>
						<xs:element name="TransmissionRatioToEngine" type="tns:AuxiliaryEntryAuxMapTransmissionRatioToEngineType"/>
						<xs:element name="EfficiencyToEngine" type="tns:AuxiliaryEntryAuxMapEfficiencyToEngineType"/>
						<xs:element name="EfficiencyAuxSupply" type="tns:AuxiliaryEntryAuxMapEfficiencyAuxSupplyType"/>
						<xs:element name="AuxMap">
							<xs:complexType>
								<xs:sequence>
									<xs:element name="Entry" type="tns:AuxiliaryEntryAuxMapType" minOccurs="4" maxOccurs="unbounded"/>
								</xs:sequence>
							</xs:complexType>
						</xs:element>
					</xs:sequence>
					<xs:element name="ConstantAuxLoad" type="tns:ConstantAuxLoadType">
						<xs:annotation>
							<xs:documentation>P178 - [W]</xs:documentation>
						</xs:annotation>
					</xs:element>
				</xs:choice>
				<xs:attribute name="id" type="tns:AuxiliaryIdType">
					<xs:annotation>
						<xs:documentation>P006 - string</xs:documentation>
					</xs:annotation>
				</xs:attribute>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AxleWheelsDataEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractAxleWheelsDataType">
				<xs:sequence>
					<xs:element name="Axles">
						<xs:complexType>
							<xs:sequence minOccurs="2" maxOccurs="unbounded">
								<xs:element name="Axle" type="tns:AbstractAxleDataEngineeringType"/>
							</xs:sequence>
						</xs:complexType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AxleDataEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractAxleDataEngineeringType">
				<xs:sequence>
					<xs:element name="AxleType" type="vdecdef:AxleTypeType">
						<xs:annotation>
							<xs:documentation>P154 - enum</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="TwinTyres" type="vdecdef:AxleTwinTyresType">
						<xs:annotation>
							<xs:documentation>P045 - bool</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="Steered" type="vdecdef:AxleSteeredType">
						<xs:annotation>
							<xs:documentation>P195 - boolean</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="WeightShare" type="tns:AxleWeightShareType"/>
					<xs:choice>
						<xs:element name="Tyre" type="tns:TyreComponentEngineeringType"/>
						<xs:element name="Resource" type="tns:ComponentResourceType"/>
					</xs:choice>
				</xs:sequence>
				<xs:attribute name="axleNumber" use="required">
					<xs:simpleType>
						<xs:restriction base="xs:int">
							<xs:minInclusive value="1"/>
						</xs:restriction>
					</xs:simpleType>
				</xs:attribute>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AxlegearComponentEngineeringType">
		<xs:choice>
			<xs:sequence>
				<xs:element name="Data" type="tns:AbstractAxlegearDataEngineeringType"/>
				<xs:element name="Signature" minOccurs="0"/>
			</xs:sequence>
			<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="AxlegearDataEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractAxlegearDataEngineeringType">
				<xs:sequence>
					<xs:element name="Ratio" type="vdecdef:AxlegearRatioType">
						<xs:annotation>
							<xs:documentation>P150 - [-]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:choice>
						<xs:element name="TorqueLossMap">
							<xs:complexType>
								<xs:choice>
									<xs:sequence minOccurs="4" maxOccurs="unbounded">
										<xs:element name="Entry" type="vdecdef:AxlegearTorqueLossMapEntryType"/>
									</xs:sequence>
									<xs:element name="Efficiency" type="tns:AxlegearEfficiencyType">
										<xs:annotation>
											<xs:documentation>P172 - [-]</xs:documentation>
										</xs:annotation>
									</xs:element>
									<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
								</xs:choice>
							</xs:complexType>
						</xs:element>
					</xs:choice>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="AxleWheelsComponentEngineeringType">
		<xs:choice>
			<xs:element name="Data" type="tns:AbstractAxleWheelsDataType"/>
			<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="ComponentResourceType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Job">002</vectoParam:parameterId>
					<vectoParam:parameterId component="Vehicle">003</vectoParam:parameterId>
					<vectoParam:parameterId component="Vehicle">004</vectoParam:parameterId>
					<vectoParam:parameterId component="Vehicle">007</vectoParam:parameterId>
					<vectoParam:parameterId component="Job">008</vectoParam:parameterId>
					<vectoParam:parameterId component="Driver">009</vectoParam:parameterId>
					<vectoParam:parameterId component="Retarder">054</vectoParam:parameterId>
					<vectoParam:parameterId component="Engine/FLD">144</vectoParam:parameterId>
					<vectoParam:parameterId component="Engine/FC-map">067</vectoParam:parameterId>
					<vectoParam:parameterId component="Gearbox/Gear/Lossmap">079</vectoParam:parameterId>
					<vectoParam:parameterId component="Gearbox/Gear">082</vectoParam:parameterId>
					<vectoParam:comment>Only for file-based input data</vectoParam:comment>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:attribute name="component" use="required">
			<xs:simpleType>
				<xs:restriction base="xs:string">
					<xs:enumeration value="Engine"/>
					<xs:enumeration value="Gearbox"/>
					<xs:enumeration value="Retarder"/>
					<xs:enumeration value="Axlegear"/>
					<xs:enumeration value="AxleWheels"/>
					<xs:enumeration value="Auxiliaries"/>
					<xs:enumeration value="Vehicle"/>
					<xs:enumeration value="TorqueConverter"/>
					<xs:enumeration value="AirDrag"/>
					<xs:enumeration value="Tyre"/>
				</xs:restriction>
			</xs:simpleType>
		</xs:attribute>
		<xs:attribute name="type" use="required">
			<xs:simpleType>
				<xs:restriction base="xs:string">
					<xs:enumeration value="xml"/>
					<xs:enumeration value="json"/>
				</xs:restriction>
			</xs:simpleType>
		</xs:attribute>
		<xs:attribute name="file" use="required">
			<xs:simpleType>
				<xs:restriction base="xs:string">
					<xs:minLength value="1"/>
				</xs:restriction>
			</xs:simpleType>
		</xs:attribute>
	</xs:complexType>
	<xs:complexType name="CrossWindCorrectionEntryType">
		<xs:attribute name="vehicleSpeed" type="tns:CrosswindCorrectionVehicleSpeedType"/>
		<xs:attribute name="beta" type="tns:CrosswindCorrectionBetaType"/>
		<xs:attribute name="deltaCdxA" type="tns:CrosswindCorrectionDeltaCdxAType"/>
		<xs:attribute name="CdScalingFactor" type="tns:CrosswindCorrectionCdScalingFactorType"/>
	</xs:complexType>
	<xs:complexType name="DriverAccelerationCurveEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractDriverAccelerationCurveEngineeringType">
				<xs:choice>
					<xs:element name="Entry" type="tns:DriverAccelerationCurveEntryType" minOccurs="2" maxOccurs="unbounded"/>
					<xs:element name="Resource" type="tns:ExtResourceEngineeringType">
						<xs:annotation>
							<xs:documentation>P009 - ext. Resource</xs:documentation>
						</xs:annotation>
					</xs:element>
				</xs:choice>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="DriverAccelerationCurveEntryType">
		<xs:attribute name="vehicleSpeed" type="tns:DriverAccelerationCurveVehicleSpeedType" use="required"/>
		<xs:attribute name="maxAcceleration" type="tns:DriverAccelerationCurveMaxAccelerationType" use="required"/>
		<xs:attribute name="maxDeceleration" type="tns:DriverAccelerationCurveMaxDecelerationType" use="required"/>
	</xs:complexType>
	<xs:complexType name="DriverModelEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractDriverModelEngineeringType">
				<xs:sequence>
					<xs:element name="LookAheadCoasting" type="tns:AbstractLookAheadCoastingEngineeringType"/>
					<xs:element name="Overspeed" type="tns:AbstractOverspeedEngineeringType"/>
					<xs:element name="DriverAccelerationCurve" type="tns:AbstractDriverAccelerationCurveEngineeringType" minOccurs="0"/>
					<xs:element name="ShiftStrategyParameters" type="tns:AbstractShiftStrategyParametersEngineeringType" minOccurs="0"/>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="EngineComponentEngineeringType">
		<xs:choice>
			<xs:sequence>
				<xs:element name="Data" type="tns:AbstractEngineDataEngineeringType"/>
				<xs:element name="Signature" minOccurs="0"/>
			</xs:sequence>
			<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="EngineDataEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractEngineDataEngineeringType">
				<xs:sequence>
					<xs:element name="Displacement" type="vdecdef:EngineDisplacementType"/>
					<xs:element name="IdlingSpeed" type="vdecdef:EngineDeclaredSpeedType"/>
					<xs:element name="Inertia" type="tns:EngineInertiaType" minOccurs="0"/>
					<xs:element name="FCCorrection" type="tns:WHTCEngineeringType">
						<xs:annotation>
							<xs:documentation>P170 - [-]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="FuelType" type="vdecdef:FuelTypeType"/>
					<xs:element name="FuelConsumptionMap">
						<xs:complexType>
							<xs:choice>
								<xs:sequence>
									<xs:element name="Entry" type="vdecdef:FuelConsumptionEntryType" minOccurs="4" maxOccurs="unbounded"/>
								</xs:sequence>
								<xs:element name="Resource" type="tns:ExtResourceEngineeringType">
									<xs:annotation>
										<xs:documentation>P067 - ext. Resource</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:choice>
						</xs:complexType>
					</xs:element>
					<xs:element name="FullLoadAndDragCurve">
						<xs:complexType>
							<xs:choice>
								<xs:sequence>
									<xs:element name="Entry" minOccurs="2" maxOccurs="unbounded">
										<xs:complexType>
											<xs:complexContent>
												<xs:extension base="vdecdef:FullLoadAndDragCurveEntryType">
													<xs:attribute name="PT1" type="tns:EngineFLDEntryPT1Type"/>
												</xs:extension>
											</xs:complexContent>
										</xs:complexType>
									</xs:element>
								</xs:sequence>
								<xs:element name="Resource" type="tns:ExtResourceEngineeringType">
									<xs:annotation>
										<xs:documentation>P144 - ext. Resource</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:choice>
						</xs:complexType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="EngineeringPowertrainComponentType" abstract="true">
		<xs:sequence>
			<xs:group ref="tns:GeneralComponentDataElements"/>
		</xs:sequence>
		<xs:attribute name="id">
			<xs:simpleType>
				<xs:restriction base="xs:string">
					<xs:minLength value="5"/>
				</xs:restriction>
			</xs:simpleType>
		</xs:attribute>
	</xs:complexType>
	<xs:complexType name="EngineStartStopEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractEngineStartStopEngineeringType">
				<xs:sequence>
					<xs:element name="Enabled" type="vdecdef:ADASEngineStartStopEnabled"/>
					<xs:element name="MaxSpeed" type="tns:EngineStartStopMaxSpeedType" minOccurs="0"/>
					<xs:element name="MinOnTime" type="tns:EngineStartStopMinOnTimeType" minOccurs="0"/>
					<xs:element name="ActivationDelay" type="tns:EngineStartStopActivationDelayType" minOccurs="0"/>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="ExtResourceEngineeringType">
		<xs:attribute name="type" use="required">
			<xs:simpleType>
				<xs:restriction base="xs:string">
					<xs:enumeration value="csv"/>
					<xs:enumeration value="xml"/>
				</xs:restriction>
			</xs:simpleType>
		</xs:attribute>
		<xs:attribute name="file" use="required">
			<xs:simpleType>
				<xs:restriction base="xs:string">
					<xs:minLength value="1"/>
				</xs:restriction>
			</xs:simpleType>
		</xs:attribute>
	</xs:complexType>
	<xs:complexType name="GearboxComponentEngineeringType">
		<xs:choice>
			<xs:sequence>
				<xs:element name="Data" type="tns:AbstractGearboxDataEngineeringType"/>
				<xs:element name="Signature" minOccurs="0"/>
			</xs:sequence>
			<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="GearboxDataEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractGearboxDataEngineeringType">
				<xs:sequence>
					<xs:element name="TransmissionType" type="vdecdef:GearboxTransmissionTypeType">
						<xs:annotation>
							<xs:documentation>P076 - [-]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="Inertia" type="tns:GearboxInertiaType"/>
					<xs:choice>
						<xs:element name="TractionInterruption" type="tns:GearboxTractionInterruptionType"/>
						<xs:element name="PowershiftShiftTime" minOccurs="0">
							<xs:simpleType>
								<xs:restriction base="xs:double">
									<xs:minInclusive value="0"/>
									<xs:maxInclusive value="10"/>
								</xs:restriction>
							</xs:simpleType>
						</xs:element>
					</xs:choice>
					<xs:element name="Gears">
						<xs:complexType>
							<xs:sequence>
								<xs:element name="Gear" type="tns:AbstractGearEngineeringType" maxOccurs="99"/>
							</xs:sequence>
						</xs:complexType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="GearEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractGearEngineeringType">
				<xs:sequence>
					<xs:element name="MaxTorque" type="vdecdef:GearboxGearMaxTorqueType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>P157 - [Nm]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="MaxSpeed" type="vdecdef:GearboxGearMaxSpeedType" minOccurs="0"/>
					<xs:element name="ShiftPolygon" minOccurs="0">
						<xs:complexType>
							<xs:choice>
								<xs:element name="Entry" type="tns:ShiftPolygonEntryType" minOccurs="2" maxOccurs="unbounded"/>
								<xs:element name="Resource" type="tns:ExtResourceEngineeringType">
									<xs:annotation>
										<xs:documentation>P082 - ext. Resource</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:choice>
						</xs:complexType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="LookAheadCoastingEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractLookAheadCoastingEngineeringType">
				<xs:sequence>
					<xs:element name="Enabled" type="tns:LookAheadCoastingEnabledType"/>
					<xs:element name="MinSpeed" minOccurs="0">
						<xs:simpleType>
							<xs:restriction base="tns:LookAheadCoastingMinSpeedType"/>
						</xs:simpleType>
					</xs:element>
					<xs:element name="PreviewDistanceFactor" type="tns:LookaheadCoastingPreviewFactorType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>P160 [-]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="DecisionFactorOffset" type="tns:LookaheadDecisionFactorType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>P161 [-]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="DecisionFactorScaling" type="tns:LookaheadDecisionFactorType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>P162 [-]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="SpeedDependentDecisionFactor" minOccurs="0">
						<xs:complexType>
							<xs:choice>
								<xs:element name="Entry" minOccurs="2" maxOccurs="unbounded">
									<xs:complexType>
										<xs:attribute name="targetVelocity" type="tns:LookaheadCoastingVehicleSpeedType">
											<xs:annotation>
												<xs:documentation>P163 [km/h]</xs:documentation>
											</xs:annotation>
										</xs:attribute>
										<xs:attribute name="decisionFactorVel" type="tns:LookaheadDecisionFactorType">
											<xs:annotation>
												<xs:documentation>P164 - [-]</xs:documentation>
											</xs:annotation>
										</xs:attribute>
									</xs:complexType>
								</xs:element>
								<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
							</xs:choice>
						</xs:complexType>
					</xs:element>
					<xs:element name="VelocityDropDecisionFactor" minOccurs="0">
						<xs:complexType>
							<xs:choice>
								<xs:element name="Entry" minOccurs="2" maxOccurs="unbounded">
									<xs:complexType>
										<xs:attribute name="velocityDrop" type="tns:LookaheadCoastingVehicleSpeedType">
											<xs:annotation>
												<xs:documentation>P165 - [km/h]</xs:documentation>
											</xs:annotation>
										</xs:attribute>
										<xs:attribute name="decisionFactorDrop" type="tns:LookaheadDecisionFactorType">
											<xs:annotation>
												<xs:documentation>P166 - [-]</xs:documentation>
											</xs:annotation>
										</xs:attribute>
									</xs:complexType>
								</xs:element>
								<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
							</xs:choice>
						</xs:complexType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="OverspeedEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractOverspeedEngineeringType">
				<xs:sequence>
					<xs:element name="Mode" type="tns:ADASOverspeedModeType"/>
					<xs:element name="MinSpeed" type="tns:ADASOverspeedEcorollMinSpeedType" minOccurs="0"/>
					<xs:element name="AllowedOverspeed" type="tns:ADASOverspeedEcorollAllowedOverspeedType" minOccurs="0"/>
					<xs:element name="AllowedUnderspeed" type="tns:ADASOverspeedEcorollAllowedUnderspeedType" minOccurs="0"/>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="PTOCycleEngineeringType">
		<xs:choice>
			<xs:element name="Entry" type="tns:PTOCycleEntryType" maxOccurs="unbounded"/>
			<xs:element name="Resource" type="tns:ExtResourceEngineeringType">
				<xs:annotation>
					<xs:documentation>P003 - ext. Resource</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="PTOCycleEntryType">
		<xs:attribute name="time" use="required">
			<xs:simpleType>
				<xs:restriction base="xs:double">
					<xs:minInclusive value="0"/>
				</xs:restriction>
			</xs:simpleType>
		</xs:attribute>
		<xs:attribute name="engineSpeed" type="vdecdef:EngineSpeedType" use="required"/>
		<xs:attribute name="torque" type="vdecdef:EngineFLDMaxTorqueType" use="required"/>
	</xs:complexType>
	<xs:complexType name="PTOIdleLossMapEngineeringType">
		<xs:choice>
			<xs:element name="Entry" type="tns:PTOLossMapEntryType" minOccurs="2" maxOccurs="unbounded"/>
			<xs:element name="Resource" type="tns:ExtResourceEngineeringType">
				<xs:annotation>
					<xs:documentation>P003 - ext. Resource</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="PTOLossMapEntryType">
		<xs:attribute name="engineSpeed" type="vdecdef:EngineSpeedType" use="required"/>
		<xs:attribute name="ptoTorqueLoss" type="vdecdef:PTOTorqueLossType" use="required"/>
	</xs:complexType>
	<xs:complexType name="RetarderComponentEngineeringType">
		<xs:choice>
			<xs:sequence>
				<xs:element name="Data" type="tns:AbstractRetarderDataEngineeringType"/>
				<xs:element name="Signature" minOccurs="0"/>
			</xs:sequence>
			<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="RetarderDataEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractRetarderDataEngineeringType">
				<xs:sequence>
					<xs:element name="RetarderLossMap" minOccurs="0">
						<xs:annotation>
							<xs:documentation>P054 - ext. Resource</xs:documentation>
						</xs:annotation>
						<xs:complexType>
							<xs:choice>
								<xs:sequence>
									<xs:element name="Entry" type="vdecdef:RetarderLossmapEntryType" minOccurs="2" maxOccurs="unbounded"/>
								</xs:sequence>
								<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
							</xs:choice>
						</xs:complexType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="ShiftPolygonEntryType">
		<xs:attribute name="engineTorque" type="tns:GearboxShiftpolygonEntryEngineTorqueType" use="required"/>
		<xs:attribute name="downshiftSpeed" type="tns:GearboxShiftpolygonEntryDownshiftSpeedType" use="required"/>
		<xs:attribute name="upshiftSpeed" type="tns:GearboxShiftpolygonEntryUpshiftSpeedType" use="required"/>
	</xs:complexType>
	<xs:complexType name="ShiftStrategyParametersEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractShiftStrategyParametersEngineeringType">
				<xs:sequence>
					<xs:element name="UpshiftMinAcceleration" type="tns:ShiftStrategyMinAccelerationUpshiftType">
						<xs:annotation>
							<xs:documentation>P167 - [m/s²]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="DownshiftAfterUpshiftDelay" type="tns:ShiftDelayType">
						<xs:annotation>
							<xs:documentation>P168 - [s]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="UpshiftAfterDownshiftDelay" type="tns:ShiftDelayType">
						<xs:annotation>
							<xs:documentation>P169 - [s]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="TorqueReserve" type="tns:GearboxTorqueReserveType" minOccurs="0"/>
					<xs:element name="TimeBetweenGearshift" type="tns:GearboxTimeBetweenGearshiftType" minOccurs="0"/>
					<xs:element name="StartSpeed" type="tns:GearboxStartSpeedType" minOccurs="0"/>
					<xs:element name="StartAcceleration" type="tns:GearboxStartAccelerationType" minOccurs="0"/>
					<xs:element name="StartTorqueReserve" type="tns:GearboxStartTorqueReserveType" minOccurs="0"/>
					<xs:element name="PowershiftShiftTime" type="tns:PowershiftShiftTimeType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>P188 - [s]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="PowershiftInertiaFactor" type="tns:PowershiftInertiaFactorType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>P189 - [-]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="CLUpshiftMinAcceleration" type="tns:CLUpshiftMinAccelerationType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>P190 - [1/s^2]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="CCUpshiftMinAcceleration" type="tns:CCUpshiftMinAccelerationType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>P191 - [1/s^2]</xs:documentation>
						</xs:annotation>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="TorqueConverterCharacteristicsEngineeringType">
		<xs:choice>
			<xs:element name="Entry" type="vdecdef:TorqueConverterCharacteristicsEntryType" minOccurs="2" maxOccurs="unbounded"/>
			<xs:element name="Resource" type="tns:ExtResourceEngineeringType">
				<xs:annotation>
					<xs:documentation>P091</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="TorqueConverterComponentEngineeringType">
		<xs:choice>
			<xs:sequence>
				<xs:element name="Data" type="tns:AbstractTorqueConverterDataEngineeringType"/>
				<xs:element name="Signature" minOccurs="0"/>
			</xs:sequence>
			<xs:element name="Resource" type="tns:ComponentResourceType"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="TorqueConverterDataEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractTorqueConverterDataEngineeringType">
				<xs:sequence>
					<xs:element name="ReferenceRPM" type="tns:TorqueConverterReferenceRPMType">
						<xs:annotation>
							<xs:documentation>P092 - [1/min]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="Inertia" type="tns:TorqueConverterInertiaType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>P127 - [kgm²]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="MaxInputSpeed" type="tns:TorqueConverterMaxInputSpeedType" minOccurs="0">
						<xs:annotation>
							<xs:documentation>P187 - [rpm]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="Characteristics" type="tns:TorqueConverterCharacteristicsEngineeringType"/>
					<xs:element name="ShiftPolygon" minOccurs="0">
						<xs:complexType>
							<xs:choice>
								<xs:element name="Entry" type="tns:ShiftPolygonEntryType" minOccurs="2" maxOccurs="unbounded"/>
								<xs:element name="Resource" type="tns:ExtResourceEngineeringType">
									<xs:annotation>
										<xs:documentation>P091</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:choice>
						</xs:complexType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="TyreComponentEngineeringType">
		<xs:sequence>
			<xs:element name="Data" type="tns:AbstractTyreDataEngineeringType"/>
			<xs:element name="Signature" minOccurs="0"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="TyreDataEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractTyreDataEngineeringType">
				<xs:sequence>
					<xs:choice>
						<xs:element name="Dimension" type="vdecdef:TyreDimensionType">
							<xs:annotation>
								<xs:documentation>P108 - enum</xs:documentation>
							</xs:annotation>
						</xs:element>
						<xs:sequence>
							<xs:element name="DynamicTyreRadius" type="tns:DynamicTyreRadiusType" minOccurs="0"/>
							<xs:element name="Inertia" type="tns:WheelsInertiaType"/>
						</xs:sequence>
					</xs:choice>
					<xs:element name="RRCISO" type="vdecdef:TyreRRCISOType">
						<xs:annotation>
							<xs:documentation>P046 - [-]</xs:documentation>
						</xs:annotation>
					</xs:element>
					<xs:element name="FzISO" type="vdecdef:TyreFzISOType">
						<xs:annotation>
							<xs:documentation>P047 - [N]</xs:documentation>
						</xs:annotation>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="VectoComponentEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractVectoComponentEngineeringType">
				<xs:choice>
					<xs:element name="Engine" type="tns:EngineComponentEngineeringType"/>
					<xs:element name="Gearbox" type="tns:GearboxComponentEngineeringType"/>
					<xs:element name="Angledrive" type="tns:AngledriveComponentEngineeringType"/>
					<xs:element name="Retarder" type="tns:RetarderComponentEngineeringType"/>
					<xs:element name="Axlegear" type="tns:AxlegearComponentEngineeringType"/>
					<xs:element name="Tyre" type="tns:TyreComponentEngineeringType"/>
					<xs:element name="Auxiliaries" type="tns:AuxiliariesComponentEngineeringType"/>
					<xs:element name="Vehicle" type="tns:AbstractVehicleEngineeringType"/>
					<xs:element name="AirDrag" type="tns:AirDragComponentEngineeringType"/>
					<xs:element name="TorqueConverter" type="tns:TorqueConverterComponentEngineeringType"/>
				</xs:choice>
				<xs:attribute name="schemaVersion"/>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="VectoJobEngineeringType">
		<xs:sequence>
			<xs:element name="EngineOnlyMode" type="tns:EngineOnlyModeType"/>
			<xs:choice>
				<xs:sequence>
					<xs:choice>
						<xs:element name="Vehicle" type="tns:VehicleEngineeringType"/>
						<xs:element name="Resource" type="tns:ComponentResourceType">
							<xs:annotation>
								<xs:documentation>P002 - ext. Resource</xs:documentation>
							</xs:annotation>
						</xs:element>
					</xs:choice>
					<xs:element name="DriverModel" type="tns:AbstractDriverModelEngineeringType"/>
				</xs:sequence>
				<xs:element name="Engine" type="tns:EngineComponentEngineeringType"/>
			</xs:choice>
			<xs:element name="MissionCycles" type="tns:MissionCyclesType"/>
		</xs:sequence>
		<xs:attribute name="schemaVersion"/>
	</xs:complexType>
	<xs:complexType name="VehicleComponentsType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractVehicleComponentsType">
				<xs:sequence>
					<xs:element name="Engine" type="tns:EngineComponentEngineeringType"/>
					<xs:element name="Gearbox" type="tns:GearboxComponentEngineeringType"/>
					<xs:element name="TorqueConverter" minOccurs="0">
						<xs:complexType>
							<xs:complexContent>
								<xs:extension base="tns:TorqueConverterComponentEngineeringType"/>
							</xs:complexContent>
						</xs:complexType>
					</xs:element>
					<xs:element name="Angledrive" type="tns:AngledriveComponentEngineeringType" minOccurs="0"/>
					<xs:element name="Retarder" type="tns:RetarderComponentEngineeringType" minOccurs="0"/>
					<xs:element name="Axlegear" type="tns:AxlegearComponentEngineeringType"/>
					<xs:element name="AxleWheels">
						<xs:complexType>
							<xs:complexContent>
								<xs:extension base="tns:AxleWheelsComponentEngineeringType"/>
							</xs:complexContent>
						</xs:complexType>
					</xs:element>
					<xs:element name="Auxiliaries" type="tns:AuxiliariesComponentEngineeringType"/>
					<xs:element name="AirDrag" type="tns:AirDragComponentEngineeringType"/>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="VehicleEngineeringType">
		<xs:complexContent>
			<xs:extension base="tns:AbstractVehicleEngineeringType">
				<xs:choice>
					<xs:sequence>
						<xs:element name="Manufacturer" type="vdecdef:ManufacturerType"/>
						<xs:element name="ManufacturerAddress" type="vdecdef:ManufacturerAddressType"/>
						<xs:element name="Model" type="vdecdef:ModelType"/>
						<xs:element name="VIN" type="vdecdef:VINType"/>
						<xs:element name="Date" type="vdecdef:DateTimeWithTimezone"/>
						<xs:element name="VehicleCategory" type="vdecdef:VehicleCategoryType" minOccurs="0">
							<xs:annotation>
								<xs:documentation>P036 - enum</xs:documentation>
							</xs:annotation>
						</xs:element>
						<xs:element name="AxleConfiguration" type="vdecdef:VehicleAxleConfigurationType">
							<xs:annotation>
								<xs:documentation>P037 - enum</xs:documentation>
							</xs:annotation>
						</xs:element>
						<xs:element name="CurbMassChassis" type="vdecdef:VehicleCurbMassChassisType">
							<xs:annotation>
								<xs:documentation>P038 - [kg]</xs:documentation>
							</xs:annotation>
						</xs:element>
						<xs:element name="GrossVehicleMass" type="vdecdef:VehicleGrossVehicleMassType">
							<xs:annotation>
								<xs:documentation>P041 - [kg]</xs:documentation>
							</xs:annotation>
						</xs:element>
						<xs:element name="RetarderType" type="vdecdef:RetarderTypeType">
							<xs:annotation>
								<xs:documentation>P052 - enum</xs:documentation>
							</xs:annotation>
						</xs:element>
						<xs:element name="RetarderRatio" type="vdecdef:RetarderRatioType" minOccurs="0">
							<xs:annotation>
								<xs:documentation>P053 - [-]</xs:documentation>
							</xs:annotation>
						</xs:element>
						<xs:element name="AngledriveType" type="vdecdef:AngledriveTypeType"/>
						<xs:element name="PTOType" type="vdecdef:PTOTypeType">
							<xs:annotation>
								<xs:documentation>P186 - enum</xs:documentation>
							</xs:annotation>
						</xs:element>
						<xs:element name="PTOIdleLossMap" type="tns:PTOIdleLossMapEngineeringType" minOccurs="0"/>
						<xs:element name="PTOCycle" type="tns:PTOCycleEngineeringType" minOccurs="0"/>
						<xs:element name="CurbMassExtra" type="tns:VehicleCurbWeightExtraType"/>
						<xs:element name="Loading" type="tns:VehicleLoadingType"/>
						<xs:element name="AdvancedDriverAssist" type="tns:AbstractAdvancedDriverAssistEngineeringType" minOccurs="0"/>
						<xs:element name="Components" type="tns:AbstractVehicleComponentsType"/>
					</xs:sequence>
					<xs:element name="Resource" type="tns:ExtResourceEngineeringType"/>
				</xs:choice>
				<xs:attribute name="id"/>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:simpleType name="ADASOverspeedEcorollAllowedOverspeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">017</vectoParam:parameterId>
					<vectoParam:unit>km/h</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>5</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P017</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="20"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="ADASOverspeedEcorollAllowedUnderspeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">018</vectoParam:parameterId>
					<vectoParam:unit>km/h</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>5</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P018</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="20"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="ADASOverspeedEcorollMinSpeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">016</vectoParam:parameterId>
					<vectoParam:unit>km/h</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>50</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P016</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="100"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="ADASOverspeedModeType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">015</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P015 - enum</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:string">
			<xs:enumeration value="Off"/>
			<xs:enumeration value="Overspeed"/>
			<xs:enumeration value="EcoRoll"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="AngulargearEfficiencyType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Angledrive/Lossmap">177</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P177</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="AuxiliaryEntryAuxMapEfficiencyAuxSupplyType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Vehicle/Auxiliaries">024</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P024</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minExclusive value="0"/>
			<xs:maxInclusive value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="AuxiliaryEntryAuxMapEfficiencyToEngineType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Vehicle/Auxiliaries">023</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P023</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minExclusive value="0"/>
			<xs:maxInclusive value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="AuxiliaryEntryAuxMapEntryAuxiliarySpeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Vehicle/Auxiliaries">025</vectoParam:parameterId>
					<vectoParam:unit>1/min</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P025</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="AuxiliaryEntryAuxMapEntryMechanicalPowerType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Vehicle/Auxiliaries">026</vectoParam:parameterId>
					<vectoParam:unit>W</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P026</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="100000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="AuxiliaryEntryAuxMapEntrySupplyPowerType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Vehicle/Auxiliaries">027</vectoParam:parameterId>
					<vectoParam:unit>W</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P027</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="100000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="AuxiliaryEntryAuxMapTransmissionRatioToEngineType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Vehicle/Auxiliaries">022</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P022</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minExclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="AuxiliaryIdType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Vehicle/Auxiliaries">006</vectoParam:parameterId>
					<vectoParam:comment>the ID has to match a column in the driving cycle (power demand of the auxiliary)</vectoParam:comment>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P006 - string</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:string">
			<xs:minLength value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="AxlegearEfficiencyType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Axlegear/Lossmap">172</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P172</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="AxleWeightShareType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Vehicle/Axle">044</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
					<vectoParam:genericValueType>generic lookup data</vectoParam:genericValueType>
					<vectoParam:genericValueSource>P107, P008</vectoParam:genericValueSource>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P044</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:maxInclusive value="1"/>
			<xs:minExclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="CCUpshiftMinAccelerationType">
		<xs:annotation>
			<xs:documentation>P191</xs:documentation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearshiftstrategy">191</vectoParam:parameterId>
					<vectoParam:comment>for AT gearboxes only. required min acceleration after upshift from converter to converter gear</vectoParam:comment>
					<vectoParam:unit>m/s²</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minExclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="CLUpshiftMinAccelerationType">
		<xs:annotation>
			<xs:documentation>P190</xs:documentation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearshiftstrategy">190</vectoParam:parameterId>
					<vectoParam:comment>for AT gearboxes only. required min acceleration after upshift from converter to locked gear</vectoParam:comment>
					<vectoParam:unit>m/s²</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minExclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="ComputationModeType" final="restriction">
		<xs:restriction base="xs:string">
			<xs:enumeration value="declaration"/>
			<xs:enumeration value="engineering"/>
			<xs:enumeration value="engineering"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="ConstantAuxLoadType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Vehicle/Auxiliaries">178</vectoParam:parameterId>
					<vectoParam:unit>W</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="CrosswindCorrectionBetaType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Airdrag">155</vectoParam:parameterId>
					<vectoParam:unit>°</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P155</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="180"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="CrosswindCorrectionCdScalingFactorType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Airdrag">056</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P056</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minExclusive value="0"/>
			<xs:maxInclusive value="10"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="CrosswindCorrectionDeltaCdxAType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Airdrag">156</vectoParam:parameterId>
					<vectoParam:unit>m²</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P156</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="-100"/>
			<xs:maxInclusive value="100"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="CrossWindCorrectionModeType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Airdrag">050</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>Speed dependent (Declaration Mode)</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P050</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:string">
			<xs:enumeration value="No Correction"/>
			<xs:enumeration value="Speed Dependent Correction Factor"/>
			<xs:enumeration value="Declaration Mode Correction"/>
			<xs:enumeration value="VAir Beta Lookup Table"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="CrosswindCorrectionVehicleSpeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Airdrag">055</vectoParam:parameterId>
					<vectoParam:unit>km/h</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P055</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="120"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="DriverAccelerationCurveMaxAccelerationType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">034</vectoParam:parameterId>
					<vectoParam:unit>m/s²</vectoParam:unit>
					<vectoParam:genericValueType>generic lookup data</vectoParam:genericValueType>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P034</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0.05"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="DriverAccelerationCurveMaxDecelerationType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">035</vectoParam:parameterId>
					<vectoParam:unit>m/s²</vectoParam:unit>
					<vectoParam:genericValueType>generic lookup data</vectoParam:genericValueType>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P035</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:maxInclusive value="-0.05"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="DriverAccelerationCurveVehicleSpeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">033</vectoParam:parameterId>
					<vectoParam:unit>km/h</vectoParam:unit>
					<vectoParam:genericValueType>generic lookup data</vectoParam:genericValueType>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P033</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="120"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="DynamicTyreRadiusType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Tyre">049</vectoParam:parameterId>
					<vectoParam:unit>mm</vectoParam:unit>
					<vectoParam:genericValueType>generic lookup data</vectoParam:genericValueType>
					<vectoParam:genericValueSource>P108, P117</vectoParam:genericValueSource>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P049</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="100"/>
			<xs:maxInclusive value="700"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="EngineFLDEntryPT1Type">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Engine">071</vectoParam:parameterId>
					<vectoParam:unit>s</vectoParam:unit>
					<vectoParam:genericValueType>generic lookup data</vectoParam:genericValueType>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P071</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="EngineInertiaType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Engine">62</vectoParam:parameterId>
					<vectoParam:unit>kgm²</vectoParam:unit>
					<vectoParam:genericValueType>derived from other parameters</vectoParam:genericValueType>
					<vectoParam:genericValueSource>P061</vectoParam:genericValueSource>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P062</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="10"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="EngineOnlyModeType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Job">001</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValueSource/>
					<vectoParam:genericValue>false</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P001 - bool</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:boolean"/>
	</xs:simpleType>
	<xs:simpleType name="EngineStartStopActivationDelayType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="ADAS">013</vectoParam:parameterId>
					<vectoParam:unit>s</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>5</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P013</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="100"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="EngineStartStopMaxSpeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="ADAS">011</vectoParam:parameterId>
					<vectoParam:unit>km/h</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>5</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P011</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="120"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="EngineStartStopMinOnTimeType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="ADAS">012</vectoParam:parameterId>
					<vectoParam:unit>s</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>5</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P012</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="100"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="GearboxEarlyShiftUpType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearshiftstrategy">083</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
					<vectoParam:genericValueType>derived from other parameters</vectoParam:genericValueType>
					<vectoParam:genericValueSource>P076</vectoParam:genericValueSource>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P083</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:boolean"/>
	</xs:simpleType>
	<xs:simpleType name="GearboxInertiaType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearbox">080</vectoParam:parameterId>
					<vectoParam:unit>kgm²</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>0</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P080</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="10"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="GearboxShiftpolygonEntryDownshiftSpeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearbox/Gear/Shiftpolygon">094</vectoParam:parameterId>
					<vectoParam:comment>Calculated from full-load curve</vectoParam:comment>
					<vectoParam:unit>1/min</vectoParam:unit>
					<vectoParam:genericValueType>derived from other parameters</vectoParam:genericValueType>
					<vectoParam:genericValue>P068, P069</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P094</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="5000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="GearboxShiftpolygonEntryEngineTorqueType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearbox/Gear/Shiftpolygon">093</vectoParam:parameterId>
					<vectoParam:comment>Calculated from full-load curve</vectoParam:comment>
					<vectoParam:unit>Nm</vectoParam:unit>
					<vectoParam:genericValueType>derived from other parameters</vectoParam:genericValueType>
					<vectoParam:genericValue>P068, P069</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P093</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="-10000"/>
			<xs:maxInclusive value="10000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="GearboxShiftpolygonEntryUpshiftSpeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearbox/Gear/Shiftpolygon">095</vectoParam:parameterId>
					<vectoParam:comment>Calculated from full-load curve</vectoParam:comment>
					<vectoParam:unit>1/min</vectoParam:unit>
					<vectoParam:genericValueType>derived from other parameters</vectoParam:genericValueType>
					<vectoParam:genericValue>P068, P069</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P095</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="5000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="GearboxSkipGearsType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearshiftstrategy">084</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
					<vectoParam:genericValueType>derived from other parameters</vectoParam:genericValueType>
					<vectoParam:genericValueSource>P076</vectoParam:genericValueSource>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P084</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:boolean"/>
	</xs:simpleType>
	<xs:simpleType name="GearboxStartAccelerationType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearshiftstrategy">088</vectoParam:parameterId>
					<vectoParam:unit>m/s²</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>0.6</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P088</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:maxInclusive value="2"/>
			<xs:minInclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="GearboxStartSpeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearshiftstrategy">087</vectoParam:parameterId>
					<vectoParam:unit>m/s</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>2</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P087</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minExclusive value="0"/>
			<xs:maxInclusive value="5"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="GearboxStartTorqueReserveType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearshiftstrategy">089</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>0.2</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P089</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:maxInclusive value="0.5"/>
			<xs:minInclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="GearboxTimeBetweenGearshiftType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearshiftstrategy">086</vectoParam:parameterId>
					<vectoParam:unit>s</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>2</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P086</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:maxInclusive value="50"/>
			<xs:minInclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="GearboxTorqueReserveType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearshiftstrategy">085</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>0.2</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P085</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="0.5"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="GearboxTractionInterruptionType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearbox">081</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
					<vectoParam:genericValueType>derived from other parameters</vectoParam:genericValueType>
					<vectoParam:genericValueSource>P067</vectoParam:genericValueSource>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P081</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="10"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="GearEfficiencyType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearbox/Gear/Lossmap">171</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P171</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="LookAheadCoastingDecelerationType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver" status="deprecated">020</vectoParam:parameterId>
					<vectoParam:unit>m/s²</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>-0.5</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P020</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="-5"/>
			<xs:maxInclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="LookAheadCoastingEnabledType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">019</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValueSource/>
					<vectoParam:genericValue>true</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P019 - bool</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:boolean"/>
	</xs:simpleType>
	<xs:simpleType name="LookAheadCoastingMinSpeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">021</vectoParam:parameterId>
					<vectoParam:unit>km/h</vectoParam:unit>
					<vectoParam:genericValueType>constant value</vectoParam:genericValueType>
					<vectoParam:genericValue>50</vectoParam:genericValue>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P021</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="100"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="LookaheadCoastingPreviewFactorType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">160</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:restriction base="xs:double"/>
	</xs:simpleType>
	<xs:simpleType name="LookaheadCoastingVehicleSpeedType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">163</vectoParam:parameterId>
					<vectoParam:parameterId component="Driver">165</vectoParam:parameterId>
					<vectoParam:unit>km/h</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="120"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="LookaheadDecisionFactorType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Driver">161</vectoParam:parameterId>
					<vectoParam:parameterId component="Driver">162</vectoParam:parameterId>
					<vectoParam:parameterId component="Driver">164</vectoParam:parameterId>
					<vectoParam:parameterId component="Driver">166</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P017</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double"/>
	</xs:simpleType>
	<xs:simpleType name="PowershiftInertiaFactorType">
		<xs:annotation>
			<xs:documentation>P189</xs:documentation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearbox" status="deprecated">189</vectoParam:parameterId>
					<vectoParam:comment>for AT gearboxes only. fraction of the engine inertia considered for calculating shift losses</vectoParam:comment>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="PowershiftShiftTimeType">
		<xs:annotation>
			<xs:documentation>P188</xs:documentation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearbox">188</vectoParam:parameterId>
					<vectoParam:comment>for AT gearboxes only. Time it takes to switch gears, used to calculate shift losses</vectoParam:comment>
					<vectoParam:unit>s</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0.5"/>
			<xs:maxInclusive value="1"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="ShiftDelayType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearshiftstrategy">168</vectoParam:parameterId>
					<vectoParam:parameterId component="Gearshiftstrategy">169</vectoParam:parameterId>
					<vectoParam:unit>s</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="ShiftStrategyMinAccelerationUpshiftType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Gearshiftstrategy">167</vectoParam:parameterId>
					<vectoParam:unit>m/s²</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="TorqueConverterInertiaType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Torqueconverter">127</vectoParam:parameterId>
					<vectoParam:unit>kgm²</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P127</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="TorqueConverterMaxInputSpeedType">
		<xs:annotation>
			<xs:documentation>P187</xs:documentation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Torqueconverter">187</vectoParam:parameterId>
					<vectoParam:comment>Limits the input speed in case a torque converter is present</vectoParam:comment>
					<vectoParam:unit>1/min</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="1000"/>
			<xs:maxInclusive value="5000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="TorqueConverterReferenceRPMType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Torqueconverter">092</vectoParam:parameterId>
					<vectoParam:unit>1/min</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P092</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="VehicleCurbWeightExtraType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Vehicle">039</vectoParam:parameterId>
					<vectoParam:unit>kg</vectoParam:unit>
					<vectoParam:genericValueType>generic lookup data</vectoParam:genericValueType>
					<vectoParam:genericValueSource>P107, P008</vectoParam:genericValueSource>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P039</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="40000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="VehicleLoadingType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Vehicle">040</vectoParam:parameterId>
					<vectoParam:unit>kg</vectoParam:unit>
					<vectoParam:genericValueType>generic lookup data</vectoParam:genericValueType>
					<vectoParam:genericValueSource>P107, P008</vectoParam:genericValueSource>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P040</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="40000"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="WheelsInertiaType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Tyre">048</vectoParam:parameterId>
					<vectoParam:unit>kgm²</vectoParam:unit>
					<vectoParam:genericValueType>generic lookup data</vectoParam:genericValueType>
					<vectoParam:genericValueSource>P108</vectoParam:genericValueSource>
				</vectoParam:description>
			</xs:appinfo>
			<xs:documentation>P048</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="100"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="WHTCEngineeringType">
		<xs:annotation>
			<xs:appinfo>
				<vectoParam:description>
					<vectoParam:parameterId component="Engine">170</vectoParam:parameterId>
					<vectoParam:unit>-</vectoParam:unit>
				</vectoParam:description>
			</xs:appinfo>
		</xs:annotation>
		<xs:restriction base="xs:double">
			<xs:minExclusive value="0"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:group name="GeneralComponentDataElements">
		<xs:sequence>
			<xs:element name="Manufacturer">
				<xs:simpleType>
					<xs:restriction base="xs:token">
						<xs:minLength value="1"/>
						<xs:whiteSpace value="collapse"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="Model">
				<xs:simpleType>
					<xs:restriction base="xs:token">
						<xs:minLength value="1"/>
						<xs:whiteSpace value="collapse"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="CertificationNumber" type="xs:string" minOccurs="0"/>
			<xs:element name="Date" type="vdecdef:DateTimeWithTimezone" minOccurs="0"/>
			<xs:element name="AppVersion" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="xs:token">
						<xs:minLength value="1"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:group>
	<xs:complexType name="MissionCyclesType">
		<xs:sequence>
			<xs:element name="Cycle" type="tns:ExtResourceEngineeringType" maxOccurs="unbounded">
				<xs:annotation>
					<xs:documentation>P008 - ext. Resource</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
</xs:schema>
